import sys

RC_DICT = {
(  90,-165): 'Aa',
(  90,-135): 'Ab',
(  90,-105): 'Ac',
(  80,-135): 'Ab',
(  80,-105): 'Ac',
(  90, -75): 'Ad',
(  90, -45): 'Ae',
(  90, -15): 'Af',
(  90,  15): 'Ag',
(  80,  45): 'Ah',
(  80,  75): 'Ai',
(  90,  45): 'Ah',
(  90,  75): 'Ai',
(  90, 105): 'Aj',
(  90, 135): 'Ak',
(  90, 165): 'Al',
( 100,-165 ): 'Ba',
( 100,-135 ): 'Bb',
( 100,-105 ): 'Bc',
( 100, -75 ): 'Bd',
( 100, -45 ): 'Be',
( 100, -15 ): 'Bf',
( 100,  15 ): 'Bg',
( 100,  45 ): 'Bh',
( 100,  75 ): 'Bi',
( 100, 105 ): 'Bj',
( 100, 135 ): 'Bk',
( 100, 165 ): 'Bl',
( 110,-165 ): 'Ca',
( 110,-135 ): 'Cb',
( 110,-105 ): 'Cc',
( 110, -75 ): 'Cd',
( 110, -45 ): 'Ce',
( 110, -15 ): 'Cf',
( 110,  15 ): 'Cg',
( 110,  45 ): 'Ch',
( 110,  75 ): 'Ci',
( 110, 105 ): 'Cj',
( 110, 135 ): 'Ck',
( 110, 165 ): 'Cl',
( 120,-165 ): 'Da',
( 120,-135 ): 'Db',
( 120,-105 ): 'Dc',
( 120, -75 ): 'Dd',
( 120, -45 ): 'De',
( 120, -15 ): 'Df',
( 120,  15 ): 'Dg',
( 120,  45 ): 'Dh',
( 120,  75 ): 'Di',
( 120, 105 ): 'Dj',
( 120, 135 ): 'Dk',
( 120, 165 ): 'Dl',
( 130,-165 ): 'Ea',
( 130,-135 ): 'Eb',
( 130,-105 ): 'Ec',
( 130, -75 ): 'Ed',
( 130, -45 ): 'Ee',
( 130, -15 ): 'Ef',
( 130,  15 ): 'Eg',
( 130,  45 ): 'Eh',
( 130,  75 ): 'Ei',
( 130, 105 ): 'Ej',
( 130, 135 ): 'Ek',
( 130, 165 ): 'El',
( 140,-165 ): 'Fa',
( 150,-165 ): 'Fa',
( 140,-135 ): 'Fb',
( 140,-105 ): 'Fc',
( 140, -75 ): 'Fd',
( 140, -45 ): 'Fe',
( 140, -15 ): 'Ff',
( 140,  15 ): 'Fg',
( 150, -15 ): 'Ff',
( 150,  15 ): 'Fg',
( 140,  45 ): 'Fh',
( 140,  75 ): 'Fi',
( 140, 105 ): 'Fj',
( 140, 135 ): 'Fk',
( 140, 165 ): 'Fl',
( 150, 135 ): 'Fk',
( 150, 165 ): 'Fl'}

def res_rc(alf, tau):

    ialf = int(round(alf/10.0 )) * 10

    # special case of tau equals exactly 180
    if int(tau) == 180:
        tau = 179.0
    elif int(tau) == -180:
        tau = -179.0

    itau = -15 + int(round((tau + 15)/30.0)) * 30

    try:
        return RC_DICT[(ialf,itau)]
    except:
        return 'Xx'
#   return ialf, itau

def run(file):
    ff = open(file, 'rb')
    nextline = ff.readline
    while 1:
        line = nextline()
        if not line:
            break
        res1 = line[0:3]
        res2 = line[4:7]
        alf = float(line[7:15])
        tau = float(line[15:23])
        meso =  res_rc(alf, tau)
        sys.stdout.write('%3s %3s %7.2f %7.2f  %2s\n' % (
              res1, res2, alf, tau, meso))
              





if __name__ == "__main__":
    filename = sys.argv[1]
    run(filename)


