import sys
from redux_2_1 import PDBio_PDB
import math
from redux_2_1 import Functions
from redux_2_1 import Pmeso_Weights

file = sys.argv[1]
prot_name, atomlist = PDBio_PDB.protein_from_pdb(file)
vlist = Functions.make_vdw_list(atomlist)
coords = Functions.get_coords(atomlist)
ca_atm_indices = Functions.get_CA_indx(atomlist)
resrange = len(ca_atm_indices)-2
Rg_predict =  2.8 * (math.pow(resrange, 0.34))

cb_atm_indices = Functions.get_CB_indx(atomlist)
clist = Functions.make_contact_list(atomlist,cb_atm_indices)
hblist = Functions.make_hbond_list(atomlist)
pmeso_weights= Pmeso_Weights.pmeso_list()

# Confinement
rgscale = 0.1     # 0.1 default
#
# Soft Debump
dbscale = 1.0     # 0.1 default
#
# Residue Specific Contact
cnscale = 1.0     # 1.0 default
#
# Hydrogen bond
hbscale = 1.0     # 1.0 default
#
# Backbone Mesostate Propensity
msscale = 2.0     # 1.0 default
#
# Hull Volume
hlscale = 1.0


print 'debump   ', Functions.soft_debump_score(atomlist,vlist,dbscale=dbscale)
print 'confine  ', Functions.rg_confinement_score(atomlist,Rg_predict,rgscale=rgscale)
print 'contact  ', Functions.contact_score(atomlist, clist, cnscale=cnscale)
print 'meso     ', Functions.meso_state_score(atomlist, ca_atm_indices,pmeso_weights,msscale=msscale)
#print 'hullvol  ', Functions.HullVolume(coords,hlscale=hlscale)
print 'hbond    ', Functions.hbond_score(atomlist,hblist,hbscale=hbscale)

#resrange = int(atomlist[len(atomlist)-2].rnum)
#print resrange

